Bug 1382936 - upgrade failed for single master
Summary: upgrade failed for single master
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.3.1
Assignee: Devan Goodwin
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-08 15:05 UTC by Anping Li
Modified: 2017-04-14 08:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 19:09:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upgrade logs files (45.61 KB, application/x-gzip)
2016-10-08 15:07 UTC, Anping Li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Comment 1 Anping Li 2016-10-08 15:07:49 UTC
Created attachment 1208357 [details]
Upgrade logs files

Comment 2 Scott Dodson 2016-10-11 15:17:10 UTC
Are the versions for the steps correct? It looks like you're using 3.3 installer to install 3.2 and then using the 3.2 installer to upgrade from 3.2 to 3.3.

Comment 3 Anping Li 2016-10-13 10:43:20 UTC
There is a type error, OCP 3.2 are installed by atomic-openshift-utils-3.2.28 upgraded by atomic-openshift-utils-3.3.22.

Comment 4 Devan Goodwin 2016-10-19 18:16:07 UTC
I cannot reproduce with the steps above, however looking at the code triggering the error it looks like we can work past is as there's no longer any need to check for pacemaker cluster method as it's not supported.

I will remove everything related to pacemaker cluster restarts.

Comment 6 Anping Li 2016-11-01 01:11:36 UTC
I  think it is OK to remove pacemaker.

Comment 8 Anping Li 2016-11-04 06:22:11 UTC
Openshift 3.3, it works
Openshift 3.2, The test failed for https://bugzilla.redhat.com/show_bug.cgi?id=1391805

Comment 9 Devan Goodwin 2016-11-04 11:53:23 UTC
Other issue is an ansible limitation with known workaround, see other bug for details, moving this one back ON_QA, should be able to be tested once that control path setting is adjusted.

Comment 10 Anping Li 2016-11-07 09:22:28 UTC
The customer report similar bug with BZ1391805, the control path doesn't work. so block for testing.

Comment 11 Devan Goodwin 2016-11-09 18:21:06 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1392169 is now ON_QA

Comment 12 Anping Li 2016-11-10 06:38:44 UTC
Both v3.2.1 and v3.3.1 upgrade failed.
https://bugzilla.redhat.com/show_bug.cgi?id=1393663
https://bugzilla.redhat.com/show_bug.cgi?id=1393662

Comment 14 Anping Li 2016-11-15 07:13:08 UTC
No blocked bugs now. move to verified.

Comment 15 errata-xmlrpc 2016-11-15 19:09:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.